paramsBinaryFileName = 'databaseModelMNIST.m.params';
stateBinaryFileName = '';

cnn.params.count = 0;
cnn.params.batchSize = 100;
cnn.params.epoch = 1;
cnn.params.learningRate =        0.010000;
cnn.params.momentum =        0.900000;
cnn.params.phase = 0;
cnn.params.allocatorLevel = 0;
cnn.params.costType = 0;

layerNum = 9;
cnn.layer(1).id = 1;
cnn.layer(1).type = 0;
cnn.layer(1).row = 28;
cnn.layer(1).col = 28;
cnn.layer(1).channel = 1;
cnn.layer(1).inputParams.row = 28;
cnn.layer(1).inputParams.col = 28;
cnn.layer(1).inputParams.channel = 1;
cnn.layer(1).inputParams.scale =        0.00390625;
cnn.layer(1).inputParams.trainingCropType = 0;
cnn.layer(1).inputParams.trainingMirrorType = 1;
cnn.layer(1).inputParams.testingCropType = 0;
cnn.layer(1).inputParams.testingMirrorType = 1;

cnn.layer(2).id = 2;
cnn.layer(2).type = 1;
cnn.layer(2).row = 24;
cnn.layer(2).col = 24;
cnn.layer(2).channel = 20;
cnn.layer(2).convParams.kernelRow = 5;
cnn.layer(2).convParams.kernelCol = 5;
cnn.layer(2).convParams.padUp = 0;
cnn.layer(2).convParams.padDown = 0;
cnn.layer(2).convParams.padLeft = 0;
cnn.layer(2).convParams.padRight = 0;
cnn.layer(2).convParams.strideX = 1;
cnn.layer(2).convParams.strideY = 1;
cnn.layer(2).convParams.inputFeatureMapChannel = 1;
cnn.layer(2).convParams.outputFeatureMapChannel = 20;
cnn.layer(2).convParams.type = 1;
cnn.layer(2).convParams.kernelDecayFactor =        1.000000;
cnn.layer(2).convParams.kernelInit.type = 3;
cnn.layer(2).convParams.kernelLearningFactor =       1.000000;
cnn.layer(2).convParams.biasInit.type = 0;
cnn.layer(2).convParams.biasLearningFactor =       1.000000;

cnn.layer(3).id = 3;
cnn.layer(3).type = 2;
cnn.layer(3).row = 12;
cnn.layer(3).col = 12;
cnn.layer(3).channel = 20;
cnn.layer(3).poolingParams.type = 0;
cnn.layer(3).poolingParams.scaleRow = 2;
cnn.layer(3).poolingParams.scaleCol = 2;
cnn.layer(3).poolingParams.padUp = 0;
cnn.layer(3).poolingParams.padDown = 0;
cnn.layer(3).poolingParams.padLeft = 0;
cnn.layer(3).poolingParams.padRight = 0;
cnn.layer(3).poolingParams.strideX = 2;
cnn.layer(3).poolingParams.strideY = 2;

cnn.layer(4).id = 4;
cnn.layer(4).type = 1;
cnn.layer(4).row = 8;
cnn.layer(4).col = 8;
cnn.layer(4).channel = 50;
cnn.layer(4).convParams.kernelRow = 5;
cnn.layer(4).convParams.kernelCol = 5;
cnn.layer(4).convParams.padUp = 0;
cnn.layer(4).convParams.padDown = 0;
cnn.layer(4).convParams.padLeft = 0;
cnn.layer(4).convParams.padRight = 0;
cnn.layer(4).convParams.strideX = 1;
cnn.layer(4).convParams.strideY = 1;
cnn.layer(4).convParams.inputFeatureMapChannel = 20;
cnn.layer(4).convParams.outputFeatureMapChannel = 50;
cnn.layer(4).convParams.type = 1;
cnn.layer(4).convParams.kernelDecayFactor =        1.000000;
cnn.layer(4).convParams.kernelInit.type = 3;
cnn.layer(4).convParams.kernelLearningFactor =       1.000000;
cnn.layer(4).convParams.biasInit.type = 0;
cnn.layer(4).convParams.biasLearningFactor =       1.000000;

cnn.layer(5).id = 5;
cnn.layer(5).type = 2;
cnn.layer(5).row = 4;
cnn.layer(5).col = 4;
cnn.layer(5).channel = 50;
cnn.layer(5).poolingParams.type = 0;
cnn.layer(5).poolingParams.scaleRow = 2;
cnn.layer(5).poolingParams.scaleCol = 2;
cnn.layer(5).poolingParams.padUp = 0;
cnn.layer(5).poolingParams.padDown = 0;
cnn.layer(5).poolingParams.padLeft = 0;
cnn.layer(5).poolingParams.padRight = 0;
cnn.layer(5).poolingParams.strideX = 2;
cnn.layer(5).poolingParams.strideY = 2;

cnn.layer(6).id = 6;
cnn.layer(6).type = 4;
cnn.layer(6).row = 1;
cnn.layer(6).col = 1;
cnn.layer(6).channel = 500;
cnn.layer(6).linearParams.dim = 500;
cnn.layer(6).linearParams.prevDim = 800;
cnn.layer(6).linearParams.weightDecayFactor =        1.000000;
cnn.layer(6).linearParams.weightInit.type = 3;
cnn.layer(6).linearParams.weightLearningFactor =       1.000000;
cnn.layer(6).linearParams.biasInit.type = 0;
cnn.layer(6).linearParams.biasLearningFactor =       1.000000;

cnn.layer(7).id = 7;
cnn.layer(7).type = 3;
cnn.layer(7).row = 1;
cnn.layer(7).col = 1;
cnn.layer(7).channel = 500;
cnn.layer(7).nonlinearParams.type = 3;

cnn.layer(8).id = 8;
cnn.layer(8).type = 4;
cnn.layer(8).row = 1;
cnn.layer(8).col = 1;
cnn.layer(8).channel = 10;
cnn.layer(8).linearParams.dim = 10;
cnn.layer(8).linearParams.prevDim = 500;
cnn.layer(8).linearParams.weightDecayFactor =        1.000000;
cnn.layer(8).linearParams.weightInit.type = 3;
cnn.layer(8).linearParams.weightLearningFactor =       1.000000;
cnn.layer(8).linearParams.biasInit.type = 0;
cnn.layer(8).linearParams.biasLearningFactor =       1.000000;

cnn.layer(9).id = 9;
cnn.layer(9).type = 3;
cnn.layer(9).row = 1;
cnn.layer(9).col = 1;
cnn.layer(9).channel = 10;
cnn.layer(9).nonlinearParams.type = 1;

